{# Load the tag library #} 
{% load staticfiles i18n static %}

<!DOCTYPE html>
<html lang="en">
    <head class="no-js" lang="en" dir="ltr">
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <title>cars...</title>
        <meta name="description" content="">
        <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Ubuntu">
        <link rel="stylesheet" href="{% static 'cars/css/foundation.min.css' %}">
        <link rel="stylesheet" href="{% static 'cars/css/toastr.css' %}">
        <link rel="stylesheet" href="{% static 'cars/css/app.css' %}">
    </head>

    <body>
        <header>
            <div class="top-bar">
                <div class="top-bar-title">
                    <span data-responsive-toggle="main-menu" data-hide-for="medium">
                        <button class="menu-icon" type="button" data-toggle></button>
                    </span>
                    <strong><a href="{%url 'app_index'%}">Used Cars</a></strong>
                </div>
                <div id="main-menu">
                  <div class="top-bar-left">
                    <ul class="menu">
                      <li><a href="{% url 'car_list' %}">Cars</a></li>
                    </ul>
                  </div>
                  <div class="top-bar-right">
                    <ul class="menu">
                      
                      {% if user.is_authenticated %}
                        <li><a href="#">Hello {{ user.username }}!</a></li>
                        <li><a href="{% url 'logout' %}">Sign Out</a></li>
                      {% else %}
                        <li><a href="{% url 'login' %}">Sign In</a></li>
                        
                      {% endif%}
                    </ul>
                  </div>
                </div>
            </div>
        </header>
        <main>
        {% block main %}
        {% endblock %}
        </main>
        <footer>
        </footer>
        <script src="{% static 'cars/js/vendor/jquery.js' %}"></script>
        <script src="{% static 'cars/js/vendor/foundation.min.js' %}"></script>
        <script src="{% static 'cars/js/vendor/toastr.min.js' %}"></script>
        <script src="{% static 'cars/js/app.js' %}"></script>

        {% block script %}
        {% endblock %}
    </body>

</html>